Package org.postgresql.replication.fluent.physical

# Class PhysicalCreateSlotBuilder

java.lang.Object
org.postgresql.replication.fluent.AbstractCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>
org.postgresql.replication.fluent.physical.PhysicalCreateSlotBuilder

All Implemented Interfaces:
  `ChainedCommonCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>`, `ChainedPhysicalCreateSlotBuilder`

public class PhysicalCreateSlotBuilder extends AbstractCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder> implements ChainedPhysicalCreateSlotBuilder

- ## Field Summary

  ### Fields inherited from class org.postgresql.replication.fluent.AbstractCreateSlotBuilder

  `connection, slotName, temporaryOption`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PhysicalCreateSlotBuilder(BaseConnection connection)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ReplicationSlotInfo`
  `make()`
  Create slot with specified parameters in database.
  `protected ChainedPhysicalCreateSlotBuilder`
  `self()`

  ### Methods inherited from class org.postgresql.replication.fluent.AbstractCreateSlotBuilder

  `withSlotName, withTemporaryOption`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface org.postgresql.replication.fluent.ChainedCommonCreateSlotBuilder

  `withSlotName, withTemporaryOption`

- ## Constructor Details

  - ### PhysicalCreateSlotBuilder

    public PhysicalCreateSlotBuilder(BaseConnection connection)

- ## Method Details

  - ### self

    protected ChainedPhysicalCreateSlotBuilder self()
    Specified by:
      `self` in class `AbstractCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>`

  - ### make

    public ReplicationSlotInfo make() throws SQLException
    Description copied from interface: `ChainedCommonCreateSlotBuilder`
    Create slot with specified parameters in database.
    Specified by:
      `make` in interface `ChainedCommonCreateSlotBuilder<ChainedPhysicalCreateSlotBuilder>`
    Returns:
      ReplicationSlotInfo with the information of the created slot.
    Throws:
      `SQLException` - on error